Package be.fgov.ehealth.standards.kmehr.schema.v1

# Class DurationType

java.lang.Object
be.fgov.ehealth.standards.kmehr.schema.v1.DurationType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:11:10+02:00", comments="JAXB RI v4.0.5") public class DurationType extends Object implements Serializable

Java class for durationType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="durationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="decimal" type="{http://www.w3.org/2001/XMLSchema}decimal"/>
             <element name="unit" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}timeunitType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DurationType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `getDecimal()`
  Gets the value of the decimal property.
  `TimeunitType`
  `getUnit()`
  Gets the value of the unit property.
  `void`
  `setDecimal(BigDecimal value)`
  Sets the value of the decimal property.
  `void`
  `setUnit(TimeunitType value)`
  Sets the value of the unit property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DurationType

    public DurationType()

- ## Method Details

  - ### getDecimal

    public BigDecimal getDecimal()
    Gets the value of the decimal property.
    Returns:
      possible object is `BigDecimal`

  - ### setDecimal

    public void setDecimal(BigDecimal value)
    Sets the value of the decimal property.
    Parameters:
      `value` - allowed object is `BigDecimal`

  - ### getUnit

    public TimeunitType getUnit()
    Gets the value of the unit property.
    Returns:
      possible object is `TimeunitType`

  - ### setUnit

    public void setUnit(TimeunitType value)
    Sets the value of the unit property.
    Parameters:
      `value` - allowed object is `TimeunitType`